# Get user details
`GET https://squid.livepush.io/account/this`
Retrieves details of the currently authenticated user account.
The response includes profile information, preferences, and
basic billing metadata.
- **Tag:** Accounts
- **Operation ID:** `getAccountThis`
- **Authentication:** Bearer token required
- **Docs:** https://developers.livepush.io/accounts/get-user-details/

### Example request

```bash
curl -X GET 'https://squid.livepush.io/account/this' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
```


### Responses


#### 200 — Current user account details

- `id` (string)
- `username` (string)
- `name` (string)
- `email` (string<email>)
- `avatar` (string<uri>)
- `ns` (string)
- `isDisabled` (boolean)
- `createdAt` (string<date-time>)
- `preferences` (object)
- `billingInfo` (object)
  - `email` (string<email>)
  - `name` (string)


```json
{
  "id": "RDHe2BXVP6d89",
  "username": "congresstv24_xxxxx",
  "name": "CONGRESS TV",
  "email": "user@example.com",
  "avatar": "https://example.com/avatar.jpg",
  "ns": "nsL2BzkdFKgIYv",
  "isDisabled": false,
  "createdAt": "2026-01-31T09:00:00.000Z",
  "preferences": {},
  "billingInfo": {
    "email": "billing@example.com",
    "name": "John Doe"
  }
}
```


#### 401 — Unauthorized

